const chineseZodiac = require("chinese-lunar-calendar");
const express = require("express");
const app = express();
const port = 3000; // Or the appropriate port you're using

app.get("/zodiac/:year", (req, res) => {
    const year = parseInt(req.params.year, 10);

    if (isNaN(year) || year < 1) {
        return res.send("Please enter a valid year!");
    }

    // Add logic to compute zodiac years
    const previousYear = year - 1;
    const nextYear = year + 1;

    const response = `
        <h1>Chinese Zodiac Information</h1>
        <p>Chinese Year ${previousYear} was year of the Ox.</p>
        <p>Chinese Year ${year} is year of the Tiger.</p>
        <p>Chinese Year ${nextYear} will be year of the Rabbit.</p>
    `;
    res.send(response);
});
app.listen(port, () => {
    console.log(`Zodiac app listening at http://localhost:${port}`);
});
